%define pypi_name JPype1
%define debug_package %{nil}

Summary:	Allow python programs full access to java class libraries
Name:		python-jpype
Version:	1.4.0
Release:	%mkrel 1
License:	BSD
Group:		Development/Python
Url:		https://github.com/jpype-project/jpype
Source0:	%{pypi_source}
BuildRequires: pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)

BuildRequires:	java-devel

#docs
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(mock)

%description
JPype is a Python module to provide full access to Java from within Python.
It allows Python to make use of Java only libraries, exploring and
visualization of Java structures, development and testing of Java libraries,
scientific computing, and much more. By gaining the best of both worlds using
Python for rapid prototyping and Java for strong typed production code, JPype
provides a powerful environment for engineering and code development.

%package -n python3-jpype
Summary:	Allow python programs full access to java class libraries
Group:		Development/Python
%{?python_provide:%python_provide python3-jpype}

%description -n python3-jpype
JPype is a Python module to provide full access to Java from within Python.
It allows Python to make use of Java only libraries, exploring and
visualization of Java structures, development and testing of Java libraries,
scientific computing, and much more. By gaining the best of both worlds using
Python for rapid prototyping and Java for strong typed production code, JPype
provides a powerful environment for engineering and code development.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%build
export JAVA_HOME=/usr/lib/jvm/java
%pyproject_wheel

# docs
#make -C doc html
#rm -rf doc/_build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files jpype

%files -n python3-jpype -f %{pyproject_files}
%license LICENSE
%doc *.rst
#doc doc/_build/html
%{python3_sitearch}/*.so
%{python3_sitearch}/*.jar


%changelog
* Wed Sep 07 2022 neoclust <neoclust> 1.4.0-1.mga9
+ Revision: 1884892
- New version 	1.4.0

* Tue Mar 29 2022 umeabot <umeabot> 1.3.0-2.mga9
+ Revision: 1832831
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 1.3.0-1.mga9
+ Revision: 1783937
- version 1.3.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.2.0-2.mga9
+ Revision: 1733200
- Rebuild for python 3.9

* Sun Dec 20 2020 joequant <joequant> 1.2.0-1.mga8
+ Revision: 1662082
- update to 1.2.0

* Sun Feb 16 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1533065
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.7.0-2.mga8
+ Revision: 1443264
- rebuild for python-3.8
- drop python2 subpkg

* Tue Aug 20 2019 wally <wally> 0.7.0-1.mga8
+ Revision: 1430453
- new version 0.7.0
- add python3 support
- build html docs

* Sun Sep 23 2018 umeabot <umeabot> 0.5.4.2-10.mga7
+ Revision: 1300502
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 daviddavid <daviddavid> 0.5.4.2-9.mga6
+ Revision: 931529
- use new python macros

* Mon Feb 01 2016 umeabot <umeabot> 0.5.4.2-8.mga6
+ Revision: 930255
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.4.2-7.mga5
+ Revision: 747972
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.4.2-6.mga5
+ Revision: 728838
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5.4.2-3.mga4
+ Revision: 543742
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.4.2-2.mga4
+ Revision: 498782
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jul 28 2013 joequant <joequant> 0.5.4.2-1.mga4
+ Revision: 459387
- set JAVA_HOME
- add java-devel
- add classpath-devel
- add java-devel
- remove period from summary
- imported package python-jpype

